FUSE_CHAN_FD(3)

NAME
fuse_chan_fd - get the file descriptor for an open FUSE device

SYNOPSIS
libfuse
#include <fuse.h>
int
fuse_chan_fd(struct fuse_chan *ch);

DESCRIPTION
fuse_chan_fd() returns the file descriptor to the FUSE device opened for reading and writing by fuse_mount(3).

RETURN VALUES
If successful, fuse_chan_fd() returns a non-negative integer, termed a file descriptor. If ch is NULL, a value of -1 is returned.

SEE ALSO
fuse_mount(3), open(3), fuse(4)

STANDARDS
The fuse_chan_fd() function conforms to FUSE 2.6.

HISTORY
The fuse_chan_fd() function first appeared in OpenBSD 5.4.

AUTHORS
Sylvestre Gallon <ccna.syl@gmail.com>